Threads

Thread abstraction; including threads, different mutexes, conditions and thread private data. More...

## Classes

class | Glib::ThreadError
| Exception class for thread-related errors. More...
class | Glib::Thread
| Represents a running thread. More...
class | Glib::Thread::Exit
| Exception class used to exit from a thread. More...
struct | Glib::StaticMutex
| Like Glib::Mutex, but can be defined at compile time. More...
class | Glib::Mutex
| Represents a mutex (mutual exclusion). More...
class | Glib::Mutex::Lock
| Utility class for exception-safe mutex locking. More...
struct | Glib::StaticRecMutex
| Like Glib::RecMutex, but can be defined at compile time. More...
class | Glib::RecMutex
struct | Glib::StaticRWLock
| Like Glib::RWLock, but can be defined at compile time. More...
class | Glib::RWLock
class | Glib::RWLock::ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::RWLock::WriterLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::Cond
| An opaque data structure to represent a condition. More...
struct | Glib::StaticPrivate< T >
class | Glib::Private< T >
class | Glib::Dispatcher
| Signal class for inter-thread communication. More...

## Defines

#define | GLIBMM_STATIC_MUTEX_INIT
| Initializer macro for Glib::StaticMutex.
| Glib::StaticMutex::GLIBMM_STATIC_MUTEX_INIT
| Initializer macro for Glib::StaticMutex.

## Enumerations

enum | Glib::NotLock { Glib::NOT_LOCK }
enum | Glib::TryLock { Glib::TRY_LOCK }

## Functions

Thread* | Glib::Thread::wrap (GThread* gobject)

## Detailed Description

Thread abstraction; including threads, different mutexes, conditions and thread private data.

## Define Documentation

#define GLIBMM_STATIC_MUTEX_INIT`[related]`

Initializer macro for Glib::StaticMutex.

GLIBMM_STATIC_MUTEX_INIT`[related]`

Initializer macro for Glib::StaticMutex.

## Enumeration Type Documentation

enum Glib::NotLock

Enumerator:

  NOT_LOCK |

enum Glib::TryLock

Enumerator:

  TRY_LOCK |

## Function Documentation

Thread * wrap | ( | GThread * | gobject | ) | `[related]`